---
title: "Reindex entries"
url: "https://developer.migros.ch/apis/webhook-receiver-prod-1/versions/977ec8fd-6ae2-4563-8309-c378d6594d02/operations/ReindexController_reindexEntries"
---

> Full API specification: https://developer.migros.ch/apis/webhook-receiver-prod-1/versions/977ec8fd-6ae2-4563-8309-c378d6594d02.md

# Reindex entries

`POST` `/migros/enterprise-support/content/v1/reindex/entry`

Operation ID: `ReindexController_reindexEntries`

## Request body (required)

Content types: `application/json`

## Responses

- `201` - Reindex request accepted
- `400` - Bad request - invalid or unsupported reindex payload
- `403` - Forbidden - missing or invalid bearer token
- `404` - Not found - entry or indices not found for the given payload
- `500` - Internal server error

## OpenAPI definition

```yaml
openapi: 3.0.0
info:
  title: Webhook Receiver PROD
  version: "1.0"
servers:
  - url: https://api.migros.ch
paths:
  /migros/enterprise-support/content/v1/reindex/entry:
    post:
      operationId: ReindexController_reindexEntries
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/ReindexPayload"
        required: true
      responses:
        "201":
          content:
            application/json:
              schema:
                properties:
                  processed:
                    type: boolean
                  processingTimeMs:
                    type: number
                required:
                  - processed
                  - processingTimeMs
                type: object
          description: Reindex request accepted
        "400":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErrorResponse"
          description: Bad request - invalid or unsupported reindex payload
        "403":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErrorResponse"
          description: Forbidden - missing or invalid bearer token
        "404":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErrorResponse"
          description: Not found - entry or indices not found for the given payload
        "500":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErrorResponse"
          description: Internal server error
      summary: Reindex entries
security:
  - bearerAuth: []
components:
  schemas:
    ReindexPayload:
      properties:
        apiType:
          description: Contentful API type to use
          enum:
            - preview
            - delivery
          type: string
        contentType:
          description: Contentful content type
          example: article
          type: string
        environmentId:
          description: Contentful environment id
          example: staging
          type: string
        spaceId:
          description: Contentful space id
          example: 7b58bfib3n9x
          type: string
      required:
        - spaceId
        - environmentId
        - contentType
      type: object
    ErrorResponse:
      description: Standard error response returned by the API on failures.
      properties:
        exception:
          description: Detailed exception payload.
          type: object
        path:
          description: Request path that caused the error.
          type: string
        statusCode:
          description: HTTP status code of the error.
          format: int32
          type: integer
        timestamp:
          description: ISO8601 timestamp when the error occurred.
          format: date-time
          type: string
      required:
        - statusCode
        - timestamp
        - path
        - exception
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http
```
